Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		sane-backends
Version:	1.0.19
Release:	4
License:	GNU/GPL 
URL:		http://www.sane-project.org
Group:		System/Configuration/Hardware
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Sane (Scanner Access Now Easy) Backends.
Requires:	libusb gphoto2 libieee1284 libexif >= 0.6.12
BuildRequires:	libusb-devel libieee1284-devel libexif-devel >= 0.6.12

%description
SANE stands for Scanner Access Now Easy.
This package contains the SANE libraries (this means backends and
network scanning parts) and the command line frontend scanimage.
For more details see: http://www.sane-project.org

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary: 	%{name} documentation.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	doc
%{name} documentation.


%pre
/usr/sbin/groupadd -g 106 scanner > /dev/null 2>&1 || :

%post
ldconfig

%postun
if [ $1 -eq 0 ]; then
/usr/sbin/groupdel scanner > /dev/null 2>&1 || :
fi

%triggerpostun -- sane-backends < 1.0.19-4
/usr/sbin/groupadd -g 106 scanner > /dev/null 2>&1 || :

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--mandir=%_mandir \
--enable-static \
--with-gphoto2 \
--enable-parport-directio \
--disable-dependency-tracking \
--enable-final \
--with-lockdir=%_localstatedir/lock/sane
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT%_datadir/sane
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/hotplug/usb
install -d $RPM_BUILD_ROOT/etc/udev/rules.d/
install -m 644 tools/udev/libsane.rules $RPM_BUILD_ROOT/etc/udev/rules.d/98-libsane.rules
cd tools/hotplug
cp libsane.usermap libusbscanner $RPM_BUILD_ROOT%_sysconfdir/hotplug/usb
mv $RPM_BUILD_ROOT/usr/doc $RPM_BUILD_ROOT%_docdir
install -m 777 -d $RPM_BUILD_ROOT%_localstatedir/lock/sane


%files
%defattr(-,root,root)
%_sysconfdir
%_bindir/gamma4scanimage
%_bindir/sane-find-scanner
%_bindir/scanimage
%_libdir/*.so.*
%_libdir/sane/*.so.*
%_sbindir/saned
%_datadir
%dir %_localstatedir/lock/sane

%files devel
%defattr(-,root,root)
%_bindir/sane-config
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/sane/*.a
%_libdir/sane/*.la
%_libdir/sane/*.so
%_includedir

%files doc
%defattr(-,root,root)
%_docdir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 11 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.19-4
- changed triggerin to triggerpostun to fix postun-tag from old package
* Fri Feb 22 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.19-3
- added triggerin
* Fri Feb 22 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.19-2
- fixed creation of group scanner
* Mon Feb 11 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.19-1
- Version update
* Sun Mar 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.18-3
- added "scanner" group
* Sun Mar 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.18-2
- added udev integration
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.18-1
- Version update, moved lockdir
* Sun Dec 18 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.17-1
- Version Update
* Sun Oct 02 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.16-2
- tweaked specfile, enabled static files, enabled parport scanner 
* Fri Sep 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.0.16-1
- Version Update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.15-4
- rebuild against latest libexif, gphoto, removed wrong obsoletes tag, refined files list
* Tue Feb 22 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.15-3
- adding more options for build process
* Tue Feb 22 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.15-2
- cleaning up specfile, added doc-package  
* Sun Feb 20 2005 Dieter Rethmeyer <dieter@rethmeyers.de> 1.0.15-1
- update from Version 1.0.13-1
- initial release
